//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
extern bool UseMM=true;
extern double Risk=1;
extern double LotSize=1;


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void OnTick()
  {
   if(UseMM==true)
      LotSize=NormalizeLot(((AccountBalance()*AccountLeverage())/100000000)*Risk);
   else
      LotSize=NormalizeLot(LotSize);
  }

//+-----------------------------------------------------------

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
double NormalizeLot(double LotsSize)
  {
//---------------------------------------------------------------------
   if(IsConnected())
     {
      return(MathMin(MathMax((MathRound(LotsSize/MarketInfo(Symbol(),MODE_LOTSTEP))*MarketInfo(Symbol(),MODE_LOTSTEP)),MarketInfo(Symbol(),MODE_MINLOT)),MarketInfo(Symbol(),MODE_MAXLOT)));
     }
   else
     {
      return(NormalizeDouble(LotsSize,2));
     }
  }
//+------------------------------------------------------------------+
